'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 loading.open(time);//打开loading,time为延时多少ms打开
 loading.close();关闭loading
 **/

function addStyle() {
  var style = document.createElement('style');
  style.id = 'maskStyle';
  style.type = 'text/css';
  style.innerHTML = '.mask-box{position:fixed;left: 0;right: 0;top: 0;bottom: 0;background:rgba(0,0,0,0.5);z-index: 10000;opacity: 0;transition:all 0.3s}' + '.loading-box{width:80px;height: 80px;position: fixed;top: 50%;left: 50%;margin-left: -30px;margin-top: -30px;z-index: 10001;text-align: center;}' + '.loading svg path,.loading svg rect {fill: #f6ac18;}' + '.loading-text {font-size: 13px;color: #fff;text-align: center;line-height: 1.5;}';
  document.getElementsByTagName('HEAD').item(0).appendChild(style);
}

function initMask(time) {
  var mask = document.createElement('div');
  mask.className = 'mask-box';
  mask.id = 'mask';
  setTimeout(function () {
    mask.style.opacity = 1;
  }, time);
  document.body.appendChild(mask);
}

function initLoading(time) {
  var loadingBox = document.createElement('div');
  loadingBox.id = 'loadingBox';
  loadingBox.className = 'loading-box';
  loadingBox.innerHTML = '<div class="loading">' + '<svg' + ' version = "1.1"' + ' xmlns = "http://www.w3.org/2000/svg"' + ' xmlns: xlink = "http://www.w3.org/1999/xlink"' + ' x = "0px"' + ' y = "0px"' + ' width = "40px"' + ' height = "40px"' + ' viewBox = "0 0 50 50"' + ' style = "enable-background:new 0 0 50 50;">' + '<path' + ' fill="#000"' + ' d="M43.935,25.145c0-10.318-8.364-18.683-18.683-18.683c-10.318,0-18.683,8.365-18.683,18.683h4.068c0-8.071,6.543-14.615,14.615-14.615c8.072,0,14.615,6.543,14.615,14.615H43.935z">' + '<animateTransform' + ' attributeType="xml"' + ' attributeName="transform"' + ' type="rotate"' + ' from="0 25 25"' + ' to="360 25 25"' + ' dur="0.6s"' + ' repeatCount="indefinite"/>' + '</path>' + '</svg >' + '</div>' + '<div class="loading-text">加载中...</div>';
  var mask = document.getElementById('mask');
  mask != null && document.body.appendChild(loadingBox);
}

function closeMask() {
  var mask = document.getElementById('mask');
  var loadingBox = document.getElementById('loadingBox');
  var maskStyle = document.getElementById('maskStyle');
  if (mask != null && loadingBox != null) {
    mask.parentNode.removeChild(mask);
    loadingBox.parentNode.removeChild(loadingBox);
    maskStyle.parentNode.removeChild(maskStyle);
  }
}

var loading = {};
loading.open = function (time) {
  if (time == null) {
    tinme = 0;
  }
  addStyle();
  var maskStyle = document.getElementById('maskStyle');
  if (maskStyle != null) {
    initMask(time);
    initLoading();
  }
};

loading.close = function () {
  closeMask();
};

exports.default = loading;